Subject: Re: Git counterpart to SVN bugtraq properties?

From: Marc Strapetz <[email-masked]>
Date: Tue, 01 Oct 2013 14:24:18 +0200

On 30.09.2013 21:42, James Sharpe wrote:
> You could also use git notes to store the information. The advantage
> there is they can be added to commits without changing the history.
> Gerrit and jenkins can auto generate this sort of metadata via plugins.

git notes could be the preferred storage for issues IDs when the client
wants to add this kind of meta information on Commit. This would
actually solve one weak point of SVN bugtraq properties where you can
just specify to prepend or append an issue ID to the commit message
(i.e. silently altering the commit message).

-Marc

> 
> On 30 Sep 2013 20:02, "Jonathan Nieder" <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     Hi,
> 
>     Marc Strapetz wrote:
>     >> On Wed, Jul 17, 2013 at 03:03:14PM +0200, Marc Strapetz wrote:
> 
>     >>> I'm looking for a specification or guidelines on how a Git
>     client should
>     >>> integrate with bug tracking systems.
>     [...]
>     > Finally, I've created a minimal spec which is sufficient to parse and
>     > display issue IDs:
>     >
>     > https://github.com/mstrap/bugtraq/blob/master/specification.txt
> 
>     Neat. :)
> 
>     It reminds me a little of Gerrit's commentlink functionality, though
>     that tries to solve a different / more generic problem (automatic
>     linking in commit messages in general, not just to bug trackers):
>     https://gerrit-review.googlesource.com/Documentation/config-gerrit.html#_a_id_commentlink_a_section_commentlink
> 
>     Some projects use more than one bug tracker.  For example, a distro
>     might have its own bug tracking system and also sometimes make commits
>     that refer to the upstream bug tracker.  I don't think that's
>     important to necessarily address in the first version of a project
>     like this, but thought I should mention it to help plans for the
>     future.
> 
>     Gerrit keeps its configuration in a file named "project.config" in the
>     tree associated to the refs/meta/config commit so a single
>     configuration can be applied to the entire repository.  Which
>     .gitbugtraq file should take effect in a repository with multiple
>     branches?
> 
>     Hope that helps,
>     Jonathan
>     --
>     To unsubscribe from this list: send the line "unsubscribe git" in
>     the body of a message to [email-masked]
>     <mailto:[email-masked]>
>     More majordomo info at  http://vger.kernel.org/majordomo-info.html
>